--- 610cgistatus.t	2013-01-18 11:25:53.000000000 +0000
+++ 610cgistatus.t.with_cgi_object_tests	2013-01-18 11:25:47.000000000 +0000
@@ -12,10 +12,13 @@
 my $topdir = "$Bin/..";
 my $cgi_dir = "$topdir/cgi";
 my $cgi = "$cgi_dir/status.cgi";
+my $statusmap = "$cgi_dir/statusmap.cgi";
+my $trends = "$cgi_dir/trends.cgi";
+my $config = "$cgi_dir/config.cgi";
 
 my $output;
 
-plan tests => 9;
+plan tests => 14;
 
 my $numhosts;
 
@@ -44,3 +47,16 @@
 $output = `NAGIOS_CGI_CONFIG=etc/cgi.cfg REMOTE_USER=second REQUEST_METHOD=GET QUERY_STRING=host=all $cgi`;
 like( $output, '/1 Matching Services/', "Got 1 service, as permission only allows one host");
 
+$output = `NAGIOS_CGI_CONFIG=etc/cgi.cfg REMOTE_USER=nagiosadmin REQUEST_METHOD=GET QUERY_STRING= $statusmap`;
+like( $output, qr/<option value='hosts-with-master-service' >/, "Got host group listed in statusmap" );
+
+$output = `NAGIOS_CGI_CONFIG=etc/cgi.cfg REMOTE_USER=nagiosadmin REQUEST_METHOD=GET QUERY_STRING=input=gethost $trends`;
+like( $output, qr/<option value='host1'/, "Got host1 in trends list" );
+
+$output = `NAGIOS_CGI_CONFIG=etc/cgi.cfg REMOTE_USER=nagiosadmin REQUEST_METHOD=GET QUERY_STRING=type=hostgroups $config`;
+like( $output, qr/Hosts running a master service/, "Got hosts-with-master-service host group in config screen" );
+
+$output = `NAGIOS_CGI_CONFIG=etc/cgi.cfg REMOTE_USER=nagiosadmin REQUEST_METHOD=GET QUERY_STRING=type=hosts $config`;
+like( $output, qr/host1/, "Got host1 in host config screen" );
+like( $output, qr/host2/, "...and host2 too" );
+
